import React, { FC } from 'react';
import { ButtonModel } from '../../../../buttonModels';
import { Text, TouchableHighlight, View } from 'react-native';
import { styles } from '../../styles';
import { AtomIcon } from '../../../../../icons';

export const ErrorMediumRightIconSolidButton: FC<ButtonModel> = ({
  text,
  onClick,
  disabled,
  Icon = AtomIcon,
}) => (
  <TouchableHighlight
    disabled={disabled}
    onPress={onClick}
    underlayColor={styles.solidButtonPressed.backgroundColor}
    style={[styles.button, styles.solidButton, disabled && styles.solidButtonDisabled]}
  >
    <View style={styles.buttonInfoContainer}>
      <Text style={[styles.text, styles.solidButtonText]} numberOfLines={1}>{text}</Text>
      <Icon color={styles.solidButtonText.color} width={24} height={24} />
    </View>
  </TouchableHighlight>
);
