import React, { FC } from 'react';
import Svg, { Path } from 'react-native-svg';
import { defaultColors } from '../../../constants';
import { SvgProps } from '../icon.model';

export const EllipsisIcon: FC<SvgProps> = ({
  width = '24',
  height = '24',
  color = defaultColors.text?.default,
  style,
  ...props
}) => (
  <Svg
    width={width}
    height={height}
    style={style}
    testID={'Ellipsis'}
    viewBox={'0 0 24 24'}
    fill={'none'}
    {...props}
  >
    <Path
      d={'M6 10c-1.1 0-2 .9-2 2s.9 2 2 2 2-.9 2-2-.9-2-2-2zm12 0c-1.1 0-2 .9-2 2s.9 2 2 2 2-.9 2-2-.9-2-2-2zm-6 0c-1.1 0-2 .9-2 2s.9 2 2 2 2-.9 2-2-.9-2-2-2z'}
      fill={color}
    />
  </Svg>
);
