import React, { FC } from 'react';
import Svg, { Path } from 'react-native-svg';
import { defaultColors } from '../../../constants';
import { SvgProps } from '../icon.model';

export const LogoutIcon: FC<SvgProps> = ({
  width = '24',
  height = '24',
  color = defaultColors.text?.default,
  style,
  ...props
}) => (
  <Svg
    width={width}
    height={height}
    style={style}
    testID={'Logout'}
    viewBox={'0 0 24 24'}
    fill={'none'}
    {...props}
  >
    <Path
      d={'M11 5H5v14h6c.55 0 1 .45 1 1s-.45 1-1 1H5c-1.1 0-2-.9-2-2V5c0-1.1.9-2 2-2h6c.55 0 1 .45 1 1s-.45 1-1 1z'}
      fill={color}
    />
    <Path
      d={'M17.86 8.86l2.79 2.79c.19.19.19.51-.01.7l-2.79 2.79c-.31.32-.85.1-.85-.35V13h-7c-.55 0-1-.45-1-1s.45-1 1-1h7V9.21c0-.45.54-.67.86-.35z'}
      fill={color}
    />
  </Svg>
);
