import React, { FC } from 'react';
import Svg, { Path } from 'react-native-svg';
import { defaultColors } from '../../../constants';
import { SvgProps } from '../icon.model';

export const ThermostatIcon: FC<SvgProps> = ({
  width = '24',
  height = '24',
  color = defaultColors.text?.default,
  style,
  ...props
}) => (
  <Svg
    width={width}
    height={height}
    style={style}
    testID={'Thermostat'}
    viewBox={'0 0 24 24'}
    fill={'none'}
    {...props}
  >
    <Path
      d={'M15 13V5C15 3.34 13.66 2 12 2C10.34 2 9 3.34 9 5V13C7.79 13.91 7 15.37 7 17C7 19.76 9.24 22 12 22C14.76 22 17 19.76 17 17C17 15.37 16.21 13.91 15 13ZM13 11H11V5C11 4.45 11.45 4 12 4C12.55 4 13 4.45 13 5H12.5C12.22 5 12 5.22 12 5.5C12 5.78 12.22 6 12.5 6H13V8H12.5C12.22 8 12 8.22 12 8.5C12 8.78 12.22 9 12.5 9H13V11Z'}
      fill={color}
    />
  </Svg>
);
