import React, { FC } from 'react';
import { Image, View } from 'react-native';
import { styles } from '../styles';
import { PictureModel } from '../pictureModels';

export const Picture: FC<PictureModel> = ({
  style,
  imageURL,
  height: height = styles.picture.height,
}) => {
  return (
    <>
      {!!imageURL &&
        <Image
          style={[styles.picture, { height }, style]}
          source={{ uri: imageURL }}
        />}
      {!imageURL &&
        <View
          style={[styles.picture, { height }, style]}
        />}
    </>
  );
};
