interface ShadowOffsetModel {
  width: number;
  height: number;
}

export interface ShadowModel {
  shadowColor: string;
  shadowOffset: ShadowOffsetModel;
  shadowOpacity: number;
  shadowRadius: number;
  elevation: number;
}

export interface ShadowTypesModel {
  [type: string]: ShadowModel;
}

export const smallShadow = {
  shadowColor: '#353b4924',
  shadowOffset: {
    width: 0,
    height: 2,
  },
  shadowOpacity:  0.17,
  shadowRadius: 2.54,
  elevation: 3,
};

export const mediumShadow = {
  shadowColor: '#353b4924',
  shadowOffset: {
    width: 0,
    height: 3,
  },
  shadowOpacity:  0.17,
  shadowRadius: 3.05,
  elevation: 4,
};

export const largeShadow = {
  shadowColor: '#353b4924',
  shadowOffset: {
    width: 0,
    height: 6,
  },
  shadowOpacity:  0.21,
  shadowRadius: 6.65,
  elevation: 9,
};

export const extraLargeShadow = {
  shadowColor: '#353b4924',
  shadowOffset: {
    width: 0,
    height: 9,
  },
  shadowOpacity:  0.22,
  shadowRadius: 10.24,
  elevation: 13,
};

export const shadowParams: ShadowTypesModel = {
  smallShadow,
  mediumShadow,
  largeShadow,
  extraLargeShadow,
};
