import { StyleSheet } from 'react-native';
import { getThemeColorByDefaultColor } from '../../../../../utils';
import { borderRadiusSizes } from '../../../../constants';

export const styles = StyleSheet.create({
  listItemButton: {
    height: 76,
    paddingHorizontal: 16,
    flexDirection: 'row',
    alignItems: 'center',
    borderRadius: borderRadiusSizes.medium,
    backgroundColor: getThemeColorByDefaultColor('background', 'extraLight'),
  },
  listItemButtonTextContainer: {
    marginLeft: 16,
  },
  listItemButtonText: {
    fontSize: 16,
    fontWeight: '600',
    lineHeight: 24,
    color: getThemeColorByDefaultColor('text', 'dark'),
  },
  listItemButtonIcon: {
    color: getThemeColorByDefaultColor('text', 'light'),
  },
  listItemButtonDisabled: {
    backgroundColor: getThemeColorByDefaultColor('background', 'dark'),
  },
  listItemButtonIconDisabled: {
    color: getThemeColorByDefaultColor('text', 'light'),
  },
  listItemButtonTextDisabled: {
    color: getThemeColorByDefaultColor('text', 'default'),
  },
  listItemButtonLeftContainer: {
    flexDirection: 'row',
    alignItems: 'center',
  },
  listItemButtonContentContainer: {
    flexDirection: 'row',
    justifyContent: 'space-between',
    width: '100%',
  },
});
