import { StyleSheet } from 'react-native';
import { getThemeColorByDefaultColor } from '../../../../../utils';
import { borderRadiusSizes, spacingSizes } from '../../../../constants';

export const styles = StyleSheet.create({
  draggableImageTextDescription: {
    height: 76,
    flexDirection: 'row',
    alignItems: 'center',
    justifyContent: 'center',
  },
  draggableImageTextDescriptionContainer: {
    width: '85%',
    backgroundColor: getThemeColorByDefaultColor('background', 'extraLight'),
    borderRadius: borderRadiusSizes.medium,
    flexDirection: 'row',
  },
  draggableImageTextDescriptionIconContainer: {
    marginRight: spacingSizes.large,
  },
  draggableImageTextDescriptionImageContainer: {
    height: 76,
    width: 76,
    borderTopLeftRadius: borderRadiusSizes.medium,
    borderBottomLeftRadius: borderRadiusSizes.medium,
    backgroundColor: getThemeColorByDefaultColor('background', 'extraDark'),
  },
  draggableImageTextDescriptionTextContainer: {
    width: '75%',
    paddingHorizontal: spacingSizes.large,
    justifyContent: 'center',
    title: {
      color: getThemeColorByDefaultColor('text', 'dark'),
    },
    description: {
      color: getThemeColorByDefaultColor('text', 'default'),
    },
  },
});
