import React, { FC } from 'react';
import { View } from 'react-native';
import { InfoListItemModel } from '../../listItemModels';
import { AtomIcon, BodyRegularText, HeadingSmallText } from '../../../../atoms';
import { styles } from './styles';

export const IconTitleDescription: FC<InfoListItemModel> = ({
  Icon= AtomIcon,
  description,
  text,
}) => {
  return (
    <View style={styles.iconTitleDescription}>
      {Icon && <Icon width={'96'} height={'96'} color={styles.iconTitleDescriptionIcon.color}/>}
      <View style={styles.iconTitleDescriptionTitleContainer}>
        <HeadingSmallText numberOfLines={1}>{text}</HeadingSmallText>
      </View>
      <View style={styles.iconTitleDescriptionDescriptionContainer}>
        <BodyRegularText
          color={styles.iconTitleDescriptionDescriptionContainer.color}
          numberOfLines={3}
        >
          {description}
        </BodyRegularText>
      </View>
    </View>
  );
};
