import React, { FC } from 'react';
import { View } from 'react-native';
import { ArrowLeftIcon,
  EllipsisIcon,
  SecondaryExtraLargeIconFlatButton } from '../../../atoms';
import { ReturnOptionsTopBarModel } from '../topBarModels';
import { styles } from '../styles';

export const ReturnOptionsTopBar: FC<ReturnOptionsTopBarModel> = ({
  onReturnClick,
  onOptionsClick,
  backgroundColor= styles.topBar.backgroundColor,
}) => {
  return (
    <View style={[styles.topBar, { backgroundColor }]}>
      <View style={styles.topBarLeftContainer}>
        <SecondaryExtraLargeIconFlatButton Icon={ArrowLeftIcon} onClick={onReturnClick} />
      </View>
      <View style={styles.topBarRightContainer}>
        <SecondaryExtraLargeIconFlatButton Icon={EllipsisIcon} onClick={onOptionsClick} />
      </View>
    </View>
  );
};
