import { StyleSheet, ViewStyle } from 'react-native';
import { getThemeColorByDefaultColor } from '../../../../../utils';
import { DateCategory } from '../../calendarModel';
import { borderRadiusSizes } from '../../../../constants';

interface Style {
  calendarDateWrapper: ViewStyle;
  calendarDatePressed: ViewStyle;
  defaultText: { color: string };
  specialText: { color: string };
  [DateCategory.NOW]: ViewStyle;
  [DateCategory.SELECTED]: ViewStyle;
  [DateCategory.SPECIAL]: ViewStyle;
  [DateCategory.DISABLED]: ViewStyle;
}

export const styles = StyleSheet.create<Style>({
  calendarDateWrapper: {
    width: 32,
    height: 32,
    justifyContent: 'center',
    alignItems: 'center',
    borderRadius: borderRadiusSizes.medium,
  },
  calendarDatePressed: {
    backgroundColor: getThemeColorByDefaultColor('background', 'extraLight'),
  },
  defaultText: {
    color: getThemeColorByDefaultColor('primary', 'default'),
  },
  specialText: {
    color: getThemeColorByDefaultColor('text', 'dark'),
  },
  [DateCategory.NOW]: {
    borderColor: getThemeColorByDefaultColor('border', 'dark'),
    borderWidth: 1,
  },
  [DateCategory.SELECTED]: {
    backgroundColor: getThemeColorByDefaultColor('primary', 'light'),
  },
  [DateCategory.SPECIAL]: {},
  [DateCategory.DISABLED]: {},
});
