import { DateCategories, 
  DateNumberMonthNumberAndYear, 
  DateOfTheMonthData, 
  DateCategory, 
  DayNumberOfTheWeek, 
  MonthNumber } from '../../calendarModel';

export type SetDisabledDatesList = (dates: DateNumberMonthNumberAndYear[]) => DateOfTheMonthData[];

export type FillDateCategories = (
  enabledDate: DateNumberMonthNumberAndYear, 
  weekDayIndex: DayNumberOfTheWeek
) => DateCategory[]

export type SetEnabledDatesList = (
  dates: DateNumberMonthNumberAndYear[], 
  fillDatesCategories: FillDateCategories,
) => DateOfTheMonthData[];

interface GetDatesOfMonthDataParams extends DateCategories {
  currentDate: DateNumberMonthNumberAndYear;
  monthNumber: MonthNumber;
  selectedDate: DateNumberMonthNumberAndYear | null;
  year: number;
}

export type GetDatesOfMonthData = (params: GetDatesOfMonthDataParams) => DateOfTheMonthData[];
