import React, { FC } from 'react';
import { ListItemsModel } from '../listItemsModels';
import { ScrollView, View } from 'react-native';
import { LabelMediumText } from '../../../atoms';
import { styles } from './style';

export const ListItemsWrapper: FC<ListItemsModel> = ({
  listItemsValues,
  ItemComponent,
  title,
  onClick,
}) => {
  return (
    <ScrollView>
      {title &&
        <View style={styles.listItemsWrapperTitle}>
          <LabelMediumText color={styles.listItemsWrapperTitle.color}>{title}</LabelMediumText>
        </View>
      }
      {ItemComponent && listItemsValues?.map((item, key) => {
        return (
          <View key={key} style={styles.listItemsWrapperRow}>
            {item?.Component &&
                <item.Component
                  key={item?.id}
                  Icon={item?.Icon}
                  LeftIcon={item?.LeftIcon}
                  RightIcon={item?.RightIcon}
                  text={item?.text}
                  description={item?.description}
                  onClick={() => onClick && onClick(item?.id)}
                  imageURL={item?.imageURL}
                />
            }
            {!item?.Component &&
              <ItemComponent
                key={item?.id}
                Icon={item?.Icon}
                LeftIcon={item?.LeftIcon}
                RightIcon={item?.RightIcon}
                text={item?.text}
                description={item?.description}
                onClick={() => onClick && onClick(item?.id)}
                imageURL={item?.imageURL}
              />
            }
          </View>
        );
      })}
    </ScrollView>
  );
};
