import React, { FC } from 'react';
import { TouchableHighlight, View } from 'react-native';
import { AtomIcon, BodySemiBoldText } from '../../../../../atoms';
import { ShutterButtonModel } from '../shutterModels';
import { styles } from '../styles';

export const ShutterButton: FC<ShutterButtonModel> = ({
  Icon = AtomIcon,
  text = '',
  onClick,
  loading = false,
  disabled = false,
}) => {
  return (
    <TouchableHighlight
      style={styles.shutterButtonWrapper}
      onPress={onClick}
      underlayColor={styles.shutterButtonWrapper.color}
      disabled={loading || disabled}
    >
      <View style={styles.shutterButtonContent}>
        <Icon color={styles.shutterButtonIcon.color} />
        <View style={styles.shutterButtonText}>
          {!disabled && <BodySemiBoldText numberOfLines={1}>{text}</BodySemiBoldText>}
          {disabled && <BodySemiBoldText numberOfLines={1} color={styles.disabledText.color}>{text}</BodySemiBoldText>}
        </View>
      </View>
    </TouchableHighlight>
  );
};
